## ocropus 0.2

=== Makefile ===
.PHONY: all
all clean rebuild install:
	@if [ ! -e config.status ]; then \
	    echo "Could you please start with \"./configure\"?"; \
	    echo "You can probably proceed with \"jam\","; \
	    echo "but running ./configure first would be cleaner."; \
	elif [ x`which jam` = x ]; then \
	    echo "We use Jam instead of Make for the build. Please install Jam."; \
	else \
	    jam $(MAKECMDGOALS); \
	fi

=== SConstruct ===
# -*- Python -*-

### Simple, non-recursive SConstruct file
###
### scons -- build
### scons check -- check for coding conventions etc.
### scons tests -- run quick tests
### scons bigtests -- run big tests
###
### TODO:
### -- add conditionalization
### -- somehow integrate with autoconf, or use scons built-in

opt = "-O2"

# external dependencies

TESSHEADERS = "/usr/local/include/tesseract"
TESSLIB = "/usr/local/lib"

EDITLINE = "editline"

# installation directories

prefix = "/usr/local"
datadir = prefix+"/share/ocropus"
bindir = prefix+"/bin"

################################################################
# nothing configurable below this line
################################################################

import glob,os,sys,string,re

top = "."

###
### try to find or build lua and tolua++ that are
### included in this distribution
###

TOLUADIR = "ext/tolua++"
TOLUALIB = TOLUADIR+"/libtolua++.a"
TOLUA = TOLUADIR+"/tolua++"
LUADIR = "ext/lua"
LUALIB = LUADIR+"/liblua.a"

if not os.path.exists(LUALIB):
    print "\n###\n### building liblua.a recursively\n###\n"
    os.system("cd "+LUADIR+" && scons")

if not os.path.exists(TOLUA) or not os.path.exists(TOLUALIB):
    print "\n###\n### building tolua++ recursively\n###\n"
    os.system("cd "+TOLUADIR+" && scons")

###
### set up a build environment
###

env = Environment()
env.Replace(CXXFLAGS="-g "+opt)

tolua_builder = \
    Builder(action = TOLUA+" -L ocroscript/hook_exceptions.lua -o $TARGET $SOURCE",
            suffix=".cc",src_suffix=".pkg")
env.Append(BUILDERS = {'Tolua' : tolua_builder })

###
### external library dependencies
###

env.Prepend(LIBPATH=["/usr/local/lib"])
env.Prepend(CPPPATH=["/usr/local/include"])
env.Prepend(CPPPATH=["/usr/local/include/tesseract"])
env.Prepend(LIBS=[])
env.Prepend(LIBS=[EDITLINE])
env.Prepend(LIBS=["tiff","png","jpeg"])
env.Prepend(LIBS=["pthread"])
env.Prepend(LIBS=["fst"])
env.Prepend(LIBS=["SDL"])
env.Prepend(LIBS=["SDL_gfx"])
env.Prepend(LIBS=File(TOLUALIB))
env.Prepend(LIBS=File(LUALIB))
env.Prepend(LIBS=File(TESSLIB+"/libtesseract_full.a"))

env.Prepend(CPPPATH=["ext/tolua++"])
env.Prepend(CPPPATH=["ext/lua"])

###
### colib
###

env.Prepend(CPPPATH=["colib"])

###
### imglib
###

env.StaticLibrary('imglib/libimg.a',glob.glob("imglib/img*.cc"))
env.Prepend(CPPPATH=["imglib"])
env.Prepend(LIBS=File("imglib/libimg.a"))

###
### imgio
###

env.StaticLibrary('imgio/libimgio.a',"""
    imgio/autoinvert.cc
    imgio/imgio.cc
    imgio/io_jpeg.cc
    imgio/io_pbm.cc
    imgio/io_png.cc
""".split())
env.Prepend(CPPPATH=["imgio"])
env.Prepend(LIBS=File("imgio/libimgio.a"))

###
### imgbits
###

env.StaticLibrary('imgbits/libimgmorph.a',glob.glob("imgbits/img*.cc"))
env.Prepend(CPPPATH=["imgbits"])
env.Prepend(LIBS=File("imgbits/libimgmorph.a"))

###
### ocr-utils
###

env.StaticLibrary('ocr-utils/libocrutils.a',"""
    ocr-utils/dgraphics.cc
    ocr-utils/didegrade.cc
    ocr-utils/eigens.cc
    ocr-utils/grouper.cc
    ocr-utils/narray-io.cc
    ocr-utils/ocr-binarize-sauvola.cc
    ocr-utils/ocr-segmentations.cc
    ocr-utils/ocr-utils.cc
    ocr-utils/resource-path.cc
    ocr-utils/seg-ccs.cc
    ocr-utils/seg-cuts.cc
    ocr-utils/seg-skel.cc
    ocr-utils/sysutil.cc
    ocr-utils/logger.cc
""".split())
env.Prepend(CPPPATH=["ocr-utils"])
env.Prepend(LIBS=File("ocr-utils/libocrutils.a"))

###
### langmods
###

env.StaticLibrary('langmods/liblangmods.a',"""
    langmods/fstbuilder.cc
    langmods/fstmodels.cc
    langmods/fstutil.cc
    langmods/langmod-aspell-stub.cc
    langmods/langmod-dict.cc
    langmods/langmod-openfst.cc
    langmods/langmod-shortest-path.cc
""".split())
env.Prepend(CPPPATH=["langmods"])
env.Prepend(LIBS=File("langmods/liblangmods.a"))

###
### ocr-layout-rast
###

env.StaticLibrary('ocr-layout-rast/liblayoutrast.a',"""
    ocr-layout-rast/ocr-layout-rast.cc 
    ocr-layout-rast/ocr-whitespace-cover.cc 
    ocr-layout-rast/ocr-char-stats.cc 
    ocr-layout-rast/ocr-extract-gutters.cc 
    ocr-layout-rast/ocr-ctextline-rast.cc 
    ocr-layout-rast/line-info.cc 
""".split())
env.Prepend(CPPPATH=["ocr-layout-rast"])
env.Prepend(LIBS=File("ocr-layout-rast/liblayoutrast.a"))

###
### tesseract
###

# define a separate tesseract compilation environment because
# of a name conflict involving the imgio.h file
tess_env = env.Clone()
tess_env.Append(CXXFLAGS=" -I"+TESSHEADERS)
tess_env.StaticLibrary('ocr-tesseract/libtesseract.a',"""
    ocr-tesseract/tesseract.cc
""".split())
env.Prepend(CPPPATH=["ocr-tesseract"])
env.Prepend(LIBS=File("ocr-tesseract/libtesseract.a"))

###
### bpnet
###

env.StaticLibrary('ocr-bpnet/libbpnet.a',"""
    ocr-bpnet/bpnetline.cc
    ocr-bpnet/grouping.cc
    ocr-bpnet/bpnet.cc
    ocr-bpnet/feature-extractor.cc
    ocr-bpnet/charlib.cc
    ocr-bpnet/charlib-uw3.cc
    ocr-bpnet/charlib-grid.cc
    ocr-bpnet/charlib-screen-ocr.cc
    ocr-bpnet/classify-chars.cc
    ocr-bpnet/charlib-pnglist.cc
    ocr-bpnet/charlib-ocropus.cc
    ocr-bpnet/charlib-segmentation.cc
    ocr-bpnet/feature-stream.cc
    ocr-bpnet/mnist.cc
    ocr-bpnet/make-garbage.cc
""".split())
env.Prepend(CPPPATH=["ocr-bpnet"])
env.Prepend(LIBS=File("ocr-bpnet/libbpnet.a"))

###
### ocr-engine
###

if 0:
    env.StaticLibrary('ocr-engine/libocrengine.a',"""
        ocr-engine/lines.cc
        ocr-engine/ocr-recognize-page.cc
        ocr-engine/ocr-recognize-line.cc
        ocr-engine/triv-hocr.cc
        ocr-engine/layout-rules.cc 
    """.split())
    env.Prepend(CPPPATH=["ocr-engine"])
    env.Prepend(LIBS=File("ocr-engine/libocrengine.a"))

###
### ocr-clean
###

env.StaticLibrary('ocr-doc-clean/libdocclean.a',"""
    ocr-doc-clean/ocr-noisefilter.cc
    ocr-doc-clean/ocr-doc-clean.cc
""".split())
env.Prepend(CPPPATH=["ocr-doc-clean"])
env.Prepend(LIBS=File("ocr-doc-clean/libdocclean.a"))

###
### ocr-deskew-rast
###

env.StaticLibrary('ocr-deskew-rast/libdeskewrast.a',"""
    ocr-deskew-rast/ocr-deskew-rast.cc
""".split())
env.Prepend(CPPPATH=["ocr-deskew-rast"])
env.Prepend(LIBS=File("ocr-deskew-rast/libdeskewrast.a"))

###
### textimageseg
###

env.StaticLibrary('ocr-pageseg/libtextimageseg.a',"""
    ocr-pageseg/ocr-classify-zones.cc
    ocr-pageseg/ocr-pageseg-wcuts.cc
    ocr-pageseg/ocr-text-image-seg.cc
    ocr-pageseg/ocr-pageseg-xycut.cc
    ocr-pageseg/log-reg-data.cc
""".split())
env.Prepend(CPPPATH=["ocr-pageseg"])
env.Prepend(LIBS=File("ocr-pageseg/libtextimageseg.a"))

###
### simple (roughocr)
###

env.StaticLibrary('simple/libroughocr.a',"""
    simple/nearestneighbor.cc
    simple/kmeans.cc
    simple/ocr-layout-smear.cc
    simple/ocr-layout-1cp.cc
    simple/ocr-cseg-projection.cc
    simple/ocr-cseg-ccs.cc
    simple/ocr-binarize-range.cc
""".split())
env.Prepend(CPPPATH=["simple"])
env.Prepend(LIBS=File("simple/libroughocr.a"))

###
### glinerec
###

env.StaticLibrary('glinerec/libglinerec.a',"""
    glinerec/glinerec.cc
""".split())
env.Prepend(CPPPATH=["glinerec"])
env.Prepend(LIBS=File("glinerec/libglinerec.a"))

###
### ocroscript library
###

packages = """
    fst graphics image imgbitscmds imgrlecmds narray nustring ocr
    sysutil tess
""".split()

for package in packages: env.Tolua("ocroscript/"+package+".pkg")

env.StaticLibrary('ocroscript/libocroscript.a',
    ["ocroscript/"+package+".cc" for package in packages] +
    "ocroscript/ocrotoplevel.cc ocroscript/version.cc".split())
env.Prepend(CPPPATH=["ocroscript"])
env.Prepend(LIBS=File("ocroscript/libocroscript.a"))

###
### ocroscript executable
###

os.system("./generate_version_cc.sh ocroscript/version.cc")
env.Program("ocroscript/ocroscript","""
    ocroscript/version.cc
    ocroscript/ocroscript.cc
""".split())

###
### installation
###

env.Alias('install',bindir)
env.Install(bindir,source=["ocroscript/ocroscript"])
env.Alias('install',datadir+"/models")
env.Install(datadir+"/models",source=glob.glob("data/models/*"))
env.Alias('install',datadir+"/words")
env.Install(datadir+"/words",source=glob.glob("data/words/*"))
env.Alias('install',datadir+"/scripts")
env.Install(datadir+"/scripts",source=glob.glob("ocroscript/scripts/*.lua"))

###
### pseudo targets
###

def sh(s):
    print "#",s
    if os.system(s)!=0:
        print "ERROR"
        sys.exit(255)

### checking

if "check" in COMMAND_LINE_TARGETS or "checks" in COMMAND_LINE_TARGETS:
    print "\n### duplicate sourcenames\n"
    sh("check-duplicate-sourcenames")
    print "\n### duplicate symbols\n"
    sh("check-duplicate-symbols")
    print "\n### style\n"
    sh("check-style -f")
    sys.exit(0)

if "fixme" in COMMAND_LINE_TARGETS:
    sh("check-style")
    sys.exit(0)

if "complexity" in COMMAND_LINE_TARGETS:
    print "\n### code complexity\n"
    sh("check-mccabe")
    sys.exit(0)

### testing

if "tests" in COMMAND_LINE_TARGETS or "test" in COMMAND_LINE_TARGETS:
    sh("cd ocroscript && ./run-tests")
    sys.exit(0)

if "bigtests" in COMMAND_LINE_TARGETS or "bigtest" in COMMAND_LINE_TARGETS:
    sh("cd ocroscript && ./run-bigtests")
    sys.exit(0)

if "leaks" in COMMAND_LINE_TARGETS or "leak" in COMMAND_LINE_TARGETS:
    sh("cd ocroscript && ./run-leaks")
    sys.exit(0)

### cleaning

if "clean" in COMMAND_LINE_TARGETS:
    sh("rm -f */*.a */.o */*/*.o")
    sys.exit(0)

### tags
    
if "tags" in COMMAND_LINE_TARGETS:
    sh("rm -f TAGS")
    sh("find . | egrep '(^|/)[a-zA-Z][^/]*\\.(o|c|cc)$' | xargs etags -a")
    sys.exit(0)

## ocropus 0.3.1

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2008 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
# or its licensors, as applicable.
# 
# You may not use this file except under the terms of the accompanying license.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# Project: OCRopus - the open source document analysis and OCR system
# File: Makefile.am
# Purpose: building OCRopus
# Responsible: kofler
# Reviewer: 
# Primary Repository: http://ocropus.googlecode.com/svn/trunk/
# Web Sites: www.iupr.org, www.dfki.de



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/ocropus
pkglibdir = $(libdir)/ocropus
pkgincludedir = $(includedir)/ocropus
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :

# handling optional open-fst part
#am__append_1 = -DHAVE_FST
#am__append_2 = $(srcdir)/ocr-langmods/fstbuilder.cc  $(srcdir)/ocr-langmods/fstutil.cc  $(srcdir)/ocr-langmods/fstmodels.cc
#am__append_3 = $(srcdir)/ocr-langmods/fstutil.h $(srcdir)/ocr-langmods/fstmodels.h $(srcdir)/ocr-langmods/fstbuilder.h

# handling optional tesseract part
am__append_4 = -I$(srcdir)/ocr-tesseract -I/usr/local/include/tesseract -DHAVE_TESSERACT
am__append_5 = $(srcdir)/ocr-tesseract/tesseract.cc $(srcdir)/ocr-tesseract/recognized-page.cc
am__append_6 = $(srcdir)/ocr-tesseract/tesseract.h $(srcdir)/ocr-tesseract/recognized-page.h

# handling optional leptonica part
#am__append_7 = -I -DHAVE_LEPTONICA
#am__append_8 = $(srcdir)/ocr-leptonica/ocr-text-image-seg-leptonica.h
subdir = .
DIST_COMMON = README $(am__configure_deps) \
	$(am__ocropusinclude_HEADERS_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure \
	$(top_srcdir)/ext/lua/Makefile.in \
	$(top_srcdir)/ext/tolua++/Makefile.in COPYING INSTALL depcomp \
	install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = ext/tolua++/Makefile ext/lua/Makefile
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(modeldir)" \
	"$(DESTDIR)$(worddir)" "$(DESTDIR)$(ocropusincludedir)"
libLIBRARIES_INSTALL = $(INSTALL_DATA)
LIBRARIES = $(lib_LIBRARIES)
AR = ar
ARFLAGS = cru
libocropus_a_AR = $(AR) $(ARFLAGS)
libocropus_a_LIBADD =
am__libocropus_a_SOURCES_DIST = $(srcdir)/ext/voronoi/voronoi.cc \
	$(srcdir)/ext/voronoi/dinfo.cc $(srcdir)/ext/voronoi/erase.cc \
	$(srcdir)/ext/voronoi/img_to_site.cc \
	$(srcdir)/ext/voronoi/usage.cc \
	$(srcdir)/ext/voronoi/draw_line.cc \
	$(srcdir)/ext/voronoi/memory.cc \
	$(srcdir)/ext/voronoi/read_image.cc \
	$(srcdir)/ext/voronoi/heap.cc $(srcdir)/ext/voronoi/hash.cc \
	$(srcdir)/ext/voronoi/bit_func.cc \
	$(srcdir)/ext/voronoi/geometry.cc \
	$(srcdir)/ext/voronoi/output.cc \
	$(srcdir)/ext/voronoi/edgelist.cc \
	$(srcdir)/ext/voronoi/voronoi-pageseg.cc \
	$(srcdir)/ext/voronoi/voronoi-ocropus.cc \
	$(srcdir)/ext/voronoi/sites.cc $(srcdir)/ext/voronoi/cline.cc \
	$(srcdir)/ext/voronoi/label_func.cc \
	$(srcdir)/ocr-langmods/beam-search.cc \
	$(srcdir)/ocr-langmods/langmod-shortest-path.cc \
	$(srcdir)/ocr-langmods/lattice.cc \
	$(srcdir)/ocr-binarize/ocr-binarize-sauvola.cc \
	$(srcdir)/ocr-binarize/ocr-binarize-otsu.cc \
	$(srcdir)/ocr-bpnet/make-garbage.cc \
	$(srcdir)/ocr-bpnet/bpnetline.cc \
	$(srcdir)/ocr-bpnet/charlib-pnglist.cc \
	$(srcdir)/ocr-bpnet/grouping.cc \
	$(srcdir)/ocr-bpnet/charlib-ocropus.cc \
	$(srcdir)/ocr-bpnet/charlib-segmentation.cc \
	$(srcdir)/ocr-bpnet/charlib-screen-ocr.cc \
	$(srcdir)/ocr-bpnet/feature-extractor.cc \
	$(srcdir)/ocr-bpnet/charlib.cc $(srcdir)/ocr-bpnet/bpnet.cc \
	$(srcdir)/ocr-bpnet/classify-chars.cc \
	$(srcdir)/ocr-bpnet/additions.cc \
	$(srcdir)/ocr-bpnet/charlib-uw3.cc \
	$(srcdir)/ocr-bpnet/feature-stream.cc \
	$(srcdir)/ocr-bpnet/charlib-grid.cc \
	$(srcdir)/ocr-bpnet/mnist.cc \
	$(srcdir)/ocr-bpnet/confusion-matrix.cc \
	$(srcdir)/ocr-deskew-rast/ocr-deskew-rast.cc \
	$(srcdir)/ocr-doc-clean/ocr-noisefilter.cc \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean.cc \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean-concomp.cc \
	$(srcdir)/ocr-doc-clean/ocr-pageframe-rast.cc \
	$(srcdir)/ocr-layout-rast/ocr-layout-rast.cc \
	$(srcdir)/ocr-layout-rast/line-info.cc \
	$(srcdir)/ocr-layout-rast/ocr-extract-gutters.cc \
	$(srcdir)/ocr-layout-rast/ocr-ctextline-rast.cc \
	$(srcdir)/ocr-layout-rast/ocr-whitespace-cover.cc \
	$(srcdir)/ocr-layout-rast/ocr-char-stats.cc \
	$(srcdir)/ocr-layout-rast/ocr-ctextline-rast-extended.cc \
	$(srcdir)/ocr-pageseg/ocr-pageseg-wcuts.cc \
	$(srcdir)/ocr-pageseg/ocr-text-image-seg.cc \
	$(srcdir)/ocr-pageseg/log-reg-data.cc \
	$(srcdir)/ocr-pageseg/ocr-pageseg-xycut.cc \
	$(srcdir)/ocr-pageseg/ocr-classify-zones.cc \
	$(srcdir)/ocr-pageseg/ocr-word-segmentation.cc \
	$(srcdir)/ocr-leptonica/ocr-text-image-seg-leptonica.cc \
	$(srcdir)/ocr-samples/ocr-layout-smear.cc \
	$(srcdir)/ocr-samples/ocr-cseg-ccs.cc \
	$(srcdir)/ocr-samples/ocr-cseg-projection.cc \
	$(srcdir)/ocr-samples/kmeans.cc \
	$(srcdir)/ocr-samples/ocr-binarize-range.cc \
	$(srcdir)/ocr-samples/nearestneighbor.cc \
	$(srcdir)/ocr-samples/ocr-layout-1cp.cc \
	$(srcdir)/ocr-samples/glinerec.cc \
	$(srcdir)/ocr-utils/narray-io.cc \
	$(srcdir)/ocr-utils/ocr-segmentations.cc \
	$(srcdir)/ocr-utils/didegrade.cc \
	$(srcdir)/ocr-utils/seg-skel.cc $(srcdir)/ocr-utils/lines.cc \
	$(srcdir)/ocr-utils/logger.cc $(srcdir)/ocr-utils/grouper.cc \
	$(srcdir)/ocr-utils/idmap.cc $(srcdir)/ocr-utils/eigens.cc \
	$(srcdir)/ocr-utils/sysutil.cc \
	$(srcdir)/ocr-utils/ocr-utils.cc \
	$(srcdir)/ocr-utils/resource-path.cc \
	$(srcdir)/ocr-utils/seg-ccs.cc $(srcdir)/ocr-utils/seg-cuts.cc \
	$(srcdir)/ocr-utils/seg-eval.cc \
	$(srcdir)/ocr-utils/editdist.cc \
	$(srcdir)/ocr-langmods/fstbuilder.cc \
	$(srcdir)/ocr-langmods/fstutil.cc \
	$(srcdir)/ocr-langmods/fstmodels.cc \
	$(srcdir)/ocr-tesseract/tesseract.cc \
	$(srcdir)/ocr-tesseract/recognized-page.cc
#am__objects_1 = fstbuilder.$(OBJEXT) fstutil.$(OBJEXT) \
#	fstmodels.$(OBJEXT)
am__objects_2 = tesseract.$(OBJEXT) \
	recognized-page.$(OBJEXT)
am_libocropus_a_OBJECTS = voronoi.$(OBJEXT) dinfo.$(OBJEXT) \
	erase.$(OBJEXT) img_to_site.$(OBJEXT) usage.$(OBJEXT) \
	draw_line.$(OBJEXT) memory.$(OBJEXT) read_image.$(OBJEXT) \
	heap.$(OBJEXT) hash.$(OBJEXT) bit_func.$(OBJEXT) \
	geometry.$(OBJEXT) output.$(OBJEXT) edgelist.$(OBJEXT) \
	voronoi-pageseg.$(OBJEXT) voronoi-ocropus.$(OBJEXT) \
	sites.$(OBJEXT) cline.$(OBJEXT) label_func.$(OBJEXT) \
	beam-search.$(OBJEXT) langmod-shortest-path.$(OBJEXT) \
	lattice.$(OBJEXT) ocr-binarize-sauvola.$(OBJEXT) \
	ocr-binarize-otsu.$(OBJEXT) make-garbage.$(OBJEXT) \
	bpnetline.$(OBJEXT) charlib-pnglist.$(OBJEXT) \
	grouping.$(OBJEXT) charlib-ocropus.$(OBJEXT) \
	charlib-segmentation.$(OBJEXT) charlib-screen-ocr.$(OBJEXT) \
	feature-extractor.$(OBJEXT) charlib.$(OBJEXT) bpnet.$(OBJEXT) \
	classify-chars.$(OBJEXT) additions.$(OBJEXT) \
	charlib-uw3.$(OBJEXT) feature-stream.$(OBJEXT) \
	charlib-grid.$(OBJEXT) mnist.$(OBJEXT) \
	confusion-matrix.$(OBJEXT) ocr-deskew-rast.$(OBJEXT) \
	ocr-noisefilter.$(OBJEXT) ocr-doc-clean.$(OBJEXT) \
	ocr-doc-clean-concomp.$(OBJEXT) ocr-pageframe-rast.$(OBJEXT) \
	ocr-layout-rast.$(OBJEXT) line-info.$(OBJEXT) \
	ocr-extract-gutters.$(OBJEXT) ocr-ctextline-rast.$(OBJEXT) \
	ocr-whitespace-cover.$(OBJEXT) ocr-char-stats.$(OBJEXT) \
	ocr-ctextline-rast-extended.$(OBJEXT) \
	ocr-pageseg-wcuts.$(OBJEXT) ocr-text-image-seg.$(OBJEXT) \
	log-reg-data.$(OBJEXT) ocr-pageseg-xycut.$(OBJEXT) \
	ocr-classify-zones.$(OBJEXT) ocr-word-segmentation.$(OBJEXT) \
	ocr-text-image-seg-leptonica.$(OBJEXT) \
	ocr-layout-smear.$(OBJEXT) ocr-cseg-ccs.$(OBJEXT) \
	ocr-cseg-projection.$(OBJEXT) kmeans.$(OBJEXT) \
	ocr-binarize-range.$(OBJEXT) nearestneighbor.$(OBJEXT) \
	ocr-layout-1cp.$(OBJEXT) glinerec.$(OBJEXT) \
	narray-io.$(OBJEXT) ocr-segmentations.$(OBJEXT) \
	didegrade.$(OBJEXT) seg-skel.$(OBJEXT) lines.$(OBJEXT) \
	logger.$(OBJEXT) grouper.$(OBJEXT) idmap.$(OBJEXT) \
	eigens.$(OBJEXT) sysutil.$(OBJEXT) ocr-utils.$(OBJEXT) \
	resource-path.$(OBJEXT) seg-ccs.$(OBJEXT) seg-cuts.$(OBJEXT) \
	seg-eval.$(OBJEXT) editdist.$(OBJEXT) $(am__objects_1) \
	$(am__objects_2)
libocropus_a_OBJECTS = $(am_libocropus_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(libocropus_a_SOURCES)
DIST_SOURCES = $(am__libocropus_a_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
modelDATA_INSTALL = $(INSTALL_DATA)
wordDATA_INSTALL = $(INSTALL_DATA)
DATA = $(model_DATA) $(word_DATA)
am__ocropusinclude_HEADERS_DIST = $(srcdir)/ext/voronoi/extern.h \
	$(srcdir)/ext/voronoi/read_image.h \
	$(srcdir)/ext/voronoi/function.h $(srcdir)/ext/voronoi/defs.h \
	$(srcdir)/ext/voronoi/voronoi-ocropus.h \
	$(srcdir)/ext/voronoi/const.h \
	$(srcdir)/ocr-langmods/beam-search.h \
	$(srcdir)/ocr-langmods/langmod-shortest-path.h \
	$(srcdir)/ocr-langmods/lattice.h \
	$(srcdir)/ocr-binarize/ocr-binarize-sauvola.h \
	$(srcdir)/ocr-binarize/ocr-binarize-otsu.h \
	$(srcdir)/ocr-bpnet/grouping.h \
	$(srcdir)/ocr-bpnet/make-garbage.h \
	$(srcdir)/ocr-bpnet/charlib.h \
	$(srcdir)/ocr-bpnet/feature-extractor.h \
	$(srcdir)/ocr-bpnet/confusion-matrix.h \
	$(srcdir)/ocr-bpnet/bpnet.h $(srcdir)/ocr-bpnet/additions.h \
	$(srcdir)/ocr-bpnet/feature-stream.h \
	$(srcdir)/ocr-bpnet/mnist.h $(srcdir)/ocr-bpnet/classmap.h \
	$(srcdir)/ocr-bpnet/classify-chars.h \
	$(srcdir)/ocr-bpnet/bpnetline.h \
	$(srcdir)/ocr-deskew-rast/ocr-deskew-rast.h \
	$(srcdir)/ocr-doc-clean/ocr-noisefilter.h \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean.h \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean-concomp.h \
	$(srcdir)/ocr-doc-clean/ocr-pageframe-rast.h \

=== ocroscript/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# ocroscript/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2008 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
# or its licensors, as applicable.
# 
# You may not use this file except under the terms of the accompanying license.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# Project: OCRopus - the open source document analysis and OCR system
# File: Makefile.am
# Purpose: building ocrocsript
# Responsible: kofler
# Reviewer: 
# Primary Repository: http://ocropus.googlecode.com/svn/trunk/
# Web Sites: www.iupr.org, www.dfki.de



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ocropus
pkglibdir = $(libdir)/ocropus
pkgincludedir = $(includedir)/ocropus
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = ocroscript$(EXEEXT)

# TODO depend on libocropus.a, i.e. compile it if not there!
#am__append_1 = -DHAVE_FST
#am__append_2 = $(srcdir)/fst.cc
am__append_3 = -I$(srcdir)/../ocr-tesseract -I/usr/local/include/tesseract -DHAVE_TESSERACT
am__append_4 = $(srcdir)/tess.cc
#am__append_5 = $(srcdir)/tess-stub.cc
#am__append_6 = -DLUA_USE_EDITLINE
#am__append_7 = -leditline
#am__append_8 = -DHAVE_LEPTONICA
#am__append_9 = -llept
subdir = ocroscript
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(scriptsdir)"
libLIBRARIES_INSTALL = $(INSTALL_DATA)
LIBRARIES = $(lib_LIBRARIES)
AR = ar
ARFLAGS = cru
libocroscript_a_AR = $(AR) $(ARFLAGS)
libocroscript_a_LIBADD =
am__libocroscript_a_SOURCES_DIST = $(srcdir)/graphics.cc \
	$(srcdir)/sysutil.cc $(srcdir)/image.cc \
	$(srcdir)/imgrlecmds.cc $(srcdir)/imgbitscmds.cc \
	$(srcdir)/nustring.cc $(srcdir)/ocr.cc $(srcdir)/narray.cc \
	$(srcdir)/../version.cc $(srcdir)/fst.cc $(srcdir)/tess.cc \
	$(srcdir)/tess-stub.cc
#am__objects_1 = fst.$(OBJEXT)
am__objects_2 = tess.$(OBJEXT)
#am__objects_3 = tess-stub.$(OBJEXT)
am_libocroscript_a_OBJECTS = graphics.$(OBJEXT) sysutil.$(OBJEXT) \
	image.$(OBJEXT) imgrlecmds.$(OBJEXT) imgbitscmds.$(OBJEXT) \
	nustring.$(OBJEXT) ocr.$(OBJEXT) narray.$(OBJEXT) \
	version.$(OBJEXT) $(am__objects_1) $(am__objects_2) \
	$(am__objects_3)
libocroscript_a_OBJECTS = $(am_libocroscript_a_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_ocroscript_OBJECTS = ocroscript.$(OBJEXT) ocrotoplevel.$(OBJEXT)
ocroscript_OBJECTS = $(am_ocroscript_OBJECTS)
am__DEPENDENCIES_1 = $(LUADIR)/liblua.a
am__DEPENDENCIES_2 = $(TOLUADIR)/libtolua++.a
am__DEPENDENCIES_3 =
ocroscript_DEPENDENCIES = $(am__DEPENDENCIES_1) libocroscript.a \
	$(srcdir)/../libocropus.a $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(libocroscript_a_SOURCES) $(ocroscript_SOURCES)
DIST_SOURCES = $(am__libocroscript_a_SOURCES_DIST) \
	$(ocroscript_SOURCES)
nobase_scriptsDATA_INSTALL = $(install_sh_DATA)
DATA = $(nobase_scripts_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run tar
AUTOCONF = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = 
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"ocropus\" -DPACKAGE_TARNAME=\"ocropus\" -DPACKAGE_VERSION=\"0.3\" -DPACKAGE_STRING=\"ocropus\ 0.3\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"ocropus\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FLOAT_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STDINT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_WCHAR_H=1 -DHAVE_LIBZ=1 -DHAVE_LIBPNG=1 -DHAVE_LIBJPEG=1 -DHAVE_LIBTIFF=1 -DHAVE_LIBIULIB=1 -DHAVE_LIBPTHREAD=1 -DHAVE_LIBTESSERACT_FULL=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DHAVE_DUP2=1 -DHAVE_MEMSET=1 -DHAVE_SQRT=1 -DHAVE_STRCHR=1 -DHAVE_STRDUP=1 -DHAVE_STRRCHR=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -L/usr/local/lib -L/home/ilya/iupr/installed/lib
LIBOBJS = 
LIBS = -ltesseract_full -lpthread -liulib -ltiff -ljpeg -lpng -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run makeinfo
OBJEXT = o
PACKAGE = ocropus
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ocropus
PACKAGE_STRING = ocropus 0.3
PACKAGE_TARNAME = ocropus
PACKAGE_VERSION = 0.3
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.3
ac_ct_CC = gcc
ac_ct_CXX = g++
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
colibheaders = /home/ilya/iupr/installed/include/colib
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/ilya/iupr/ocropus-test/install-sh
iulib_prefix = /home/ilya/iupr/installed
iulibheaders = /home/ilya/iupr/installed/include/iulib
iuliblibs = /home/ilya/iupr/installed/lib
leptheaders = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
noeditline = 1
nofst = 1
nofst_FALSE = #
nofst_TRUE = 
noposix = 
nosdl = 1
nosdl_FALSE = #
nosdl_TRUE = 
notesseract = 
notesseract_FALSE = 
notesseract_TRUE = #
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
tesseract_prefix = /usr/local
tessheaders = /usr/local/include/tesseract
tesslibs = /usr/local/lib
use_editline_FALSE = 
use_editline_TRUE = #
use_leptonica = no
use_leptonica_FALSE = 
use_leptonica_TRUE = #
TOLUADIR = $(srcdir)/../ext/tolua++
TOLUALIB = $(TOLUADIR)/libtolua++.a
TOLUA = $(TOLUADIR)/tolua++
LUADIR = $(srcdir)/../ext/lua
LUALIB = $(LUADIR)/liblua.a
AM_CPPFLAGS = -I$(srcdir)/../ext/voronoi -I$(srcdir)/../imgbits \
	-I$(srcdir)/../ocr-langmods -I$(srcdir)/../ocr-binarize \
	-I$(srcdir)/../ocr-bpnet -I$(srcdir)/../ocr-deskew-rast \
	-I$(srcdir)/../ocr-doc-clean -I$(srcdir)/../ocr-layout-rast \
	-I$(srcdir)/../ocr-pageseg -I$(srcdir)/../ocr-samples \
	-I$(srcdir)/../ocr-utils -I$(srcdir)/../ocr-leptonica \
	-I/home/ilya/iupr/installed/include/iulib -I/home/ilya/iupr/installed/include/colib -I/home/ilya/iupr/installed/include/colib/.. \
	-I$(TOLUADIR) -I$(LUADIR) $(am__append_1) $(am__append_3) \
	$(am__append_6) $(am__append_8)
AM_LDFLAGS = -Wl,-E

# having /../ocroscript/ all over the place looks a bit ugly, but later we
# will have .pkg files also in other subfolders. The check-am.py script
# checks paths from top-level, that's the reason for the long versions.
lib_LIBRARIES = libocroscript.a
libocroscript_a_SOURCES = $(srcdir)/graphics.cc $(srcdir)/sysutil.cc \
	$(srcdir)/image.cc $(srcdir)/imgrlecmds.cc \
	$(srcdir)/imgbitscmds.cc $(srcdir)/nustring.cc \
	$(srcdir)/ocr.cc $(srcdir)/narray.cc $(srcdir)/../version.cc \
	$(am__append_2) $(am__append_4) $(am__append_5)
ocroscript_SOURCES = $(srcdir)/../ocroscript/ocroscript.cc $(srcdir)/../ocroscript/ocrotoplevel.cc 
ocroscript_LDADD = -ltiff -lpng -ljpeg $(LUALIB) libocroscript.a \
	$(srcdir)/../libocropus.a $(TOLUALIB) $(am__append_7) \
	$(am__append_9)

# install scripts
scriptsdir = ${datadir}/ocropus
nobase_scripts_DATA = $(srcdir)/scripts/*.lua \
	$(srcdir)/scripts/lib/*.lua
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .o .obj .pkg
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  ocroscript/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  ocroscript/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLIBRARIES: $(lib_LIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \

=== ext/lua/Makefile ===
# Copyright 2008 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
# or its licensors, as applicable.
# 
# You may not use this file except under the terms of the accompanying license.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# Project: OCRopus - the open source document analysis and OCR system
# File: Makefile.in
# Purpose: building liblua.a
# Responsible: kofler
# Reviewer: 
# Primary Repository: http://ocropus.googlecode.com/svn/trunk/
# Web Sites: www.iupr.org, www.dfki.de

CXX=g++
RANLIB=ranlib
srcdir = .

CFLAGS=-g -O2 -DLUA_USE_POSIX

liblua.a: lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
        lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o \
        lundump.o lvm.o lzio.o lauxlib.o lbaselib.o ldblib.o liolib.o \
        lmathlib.o loslib.o ltablib.o lstrlib.o loadlib.o linit.o
	$(AR) crf $@ $^
	$(RANLIB) $@

clean:
	rm -f *.o *.a

=== ext/lua/SConstruct ===
import glob,os,sys,string,re

opt = "-O2"

env = Environment()
env.Replace(CCFLAGS="-g "+opt+" -DLUA_USE_POSIX")

env.StaticLibrary('liblua.a',"""
	lapi.c lcode.c ldebug.c ldo.c ldump.c lfunc.c lgc.c llex.c lmem.c
        lobject.c lopcodes.c lparser.c lstate.c lstring.c ltable.c ltm.c
        lundump.c lvm.c lzio.c lauxlib.c lbaselib.c ldblib.c liolib.c
	lmathlib.c loslib.c ltablib.c lstrlib.c loadlib.c linit.c
""".split())

=== ext/tolua++/Makefile ===
# Copyright 2008 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
# or its licensors, as applicable.
# 
# You may not use this file except under the terms of the accompanying license.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# Project: OCRopus - the open source document analysis and OCR system
# File: Makefile.in
# Purpose: building tolua++ and libtolua++.a
# Responsible: kofler
# Reviewer: 
# Primary Repository: http://ocropus.googlecode.com/svn/trunk/
# Web Sites: www.iupr.org, www.dfki.de

CXX=g++
RANLIB=ranlib
srcdir = .

CFLAGS+=-I$(srcdir)/../lua

LUADIR = $(srcdir)/../lua
LUALIB = $(LUADIR)/liblua.a

tolua++: tolua.o toluabind.o libtolua++.a $(LUALIB)
	$(CXX) $(CXXFLAGS) -o $@ $^

libtolua++.a: tolua_event.o tolua_is.o tolua_map.o tolua_push.o tolua_to.o
	$(AR) crf $@ $^
	$(RANLIB) $@

tolua_event.c: tolua_event.h
tolua.c: toluabind.h

$(LUALIB):
	cd $(LUADIR) && $(MAKE)

clean:
	rm -f tolua++ *.o *.a

=== ext/tolua++/SConstruct ===
import glob,os,sys,string,re

opt = "-O2"

env = Environment()
env.Replace(CCFLAGS="-g "+opt+" -DLUA_USE_POSIX")

env.Prepend(CPPPATH=["../lua"])

env.StaticLibrary('libtolua++.a',"""
    tolua_event.c tolua_is.c tolua_map.c tolua_push.c tolua_to.c
""".split())

env.Prepend(LIBS=["m"])
env.Prepend(LIBS=[File("../lua/liblua.a")])
env.Prepend(LIBS=[File("libtolua++.a")])

env.Program("tolua++","""
    tolua.c toluabind.c
""".split())

=== ext/voronoi/Makefile ===
#$Id: Makefile,v 1.1.1.1 1999/10/15 12:40:27 kise Exp $
CC	      = g++ -Wall
#OPT	      = -O2
#OPT	      = -pg
OPT	      = -g
LIBS	      = -lm -ltiff
DEFS	      = -DTIME 
INCLUDE_DIRS   = -I/usr/local/include
LIB_DIRS       = -L/usr/local/lib
CFLAGS	      = $(INCLUDE_DIRS) ${LIB_DIRS} ${OPT} ${DEFS}


HDRS	      = const.h \
		defs.h \
		extern.h \
		function.h \
		read_image.h

OBJS	      = img_to_site.o \
		bit_func.o \
		cline.o \
		dinfo.o \
		draw_line.o \
		label_func.o \
		edgelist.o \
		erase.o \
		geometry.o \
		hash.o \
		heap.o \
		main-be.o \
		memory.o \
		output.o \
		read_image.o \
		sites.o \
		usage.o \
		voronoi.o \
		voronoi-pageseg.o

all: be
	$(MAKE) dl --directory=drawing

be:		${OBJS}
		${CC} -o $@ ${OBJS} ${LIBS} ${CFLAGS}

${OBJS}:	${HDRS}

clean:;		@rm -f *.o core a.out be
	$(MAKE) clean --directory=drawing

=== ext/voronoi/drawing/Makefile ===
# $Id: Makefile,v 1.1.1.1 1999/10/15 12:26:21 kise Exp $
CC	      = gcc -Wall

LIBS	      = -lm -ltiff
OPT	      = -O3
#OPT	      = -g
DEFS	      =
INCLUDE_DIRS   = -I/usr/local/include
LIB_DIRS       = -L/usr/local/lib
CFLAGS	      = $(INCLUDE_DIRS) ${LIB_DIRS} ${OPT} ${DEFS}



HDRS	      = color.h read_image.h

OBJS	      = util.o \
		draw_line.o \
		draw_point.o \
		draw_rect.o \
		make_map.o \
		main.o \
		read_image.o \
		write_image.o
dl:		${OBJS}
		${CC} ${CFLAGS} ${OBJS} ${LIBS} -o $@

${OBJS}:	${HDRS}

clean:;		@rm -f ${OBJS} a.out dl core

=== debian/changelog ===
ocropus (0.3.1-4) unstable; urgency=low

  * Fix patch headers to be in line with DEP-3.
  * Pass CFLAGS, CXXFLAGS, CPPFALGS and LDFLAGS (got from dpkg-buildflags) to
    the build system.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Fix FTBFS with -Werror=format-security (closes: #645896). Thanks to Colin
    Watson for the bug report and the patch.
  * Honor CFLAGS from environment in ext/lua/Makefile.
  * Bump standards version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 19 Nov 2011 20:12:58 +0100

ocropus (0.3.1-3) unstable; urgency=low

  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Replace build-dependency on libjpeg62-dev with libjpeg-dev.
  * Force autoconf to use aclocal-1.9.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 27 Apr 2010 22:00:58 +0200

ocropus (0.3.1-2) unstable; urgency=low

  * Add Vcs-* fields to debian/control.
  * Recommendation for tesseract-ocr was accidentally dropped in 0.3.1-1.
    Re-add it. (Closes: #564236)

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 08 Jan 2010 22:21:46 +0100

ocropus (0.3.1-1) unstable; urgency=low

  [ Jeffrey Ratcliffe ]
  * New upstream release. (Closes: #518772)

  [ Jakub Wilk ]
  * Add myself to uploaders.
  * Use source format 3.0 (quilt).
  * Bump standards version to 3.8.3 (no changes needed).
  * Add lintian override for configure-generated-file-in-source.
  * Respect the OCRODATA environment variable for all lua scripts.
    (ocrodata-env.diff)
  * Use /usr/share/ocropus/scripts/ and /usr/share/ocropus/ as defaults for
    OCROSCRIPTS and OCRODATA. (usr-local.diff)
  * As new ocropus breaks ocrodjvu, add an appropriate Breaks: field.
  * Update documentation URL. (Closes: #551174)
  * Document what is the default for $OCROSCRIPTS. (Closes: #551167)
  * Recommend the ‘recognize’ script in the ocropus(1) manual page (rather
    than ‘rec-tess’ which is gone).
  * Build-depend on autoconf, automake1.9, libtool; run autoreconf where
    appropriate.
  * Don't use the embedded copy of Lua. (system-lua.diff)

 -- Jakub Wilk <ubanus@users.sf.net>  Thu, 26 Nov 2009 20:43:17 +0100

ocropus (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #461097)
    Thanks to c_korn@gmx.de for the install_dir patch

 -- Jeffrey Ratcliffe <jeffrey.ratcliffe@gmail.com>  Mon, 01 Dec 2008 18:41:11 +0100

=== debian/control ===
Source: ocropus
Section: graphics
Priority: optional
Maintainer: Jeffrey Ratcliffe <jeffrey.ratcliffe@gmail.com>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  dpkg-dev (>= 1.15.7),
  autotools-dev, autoconf, automake1.9, libtool,
  liblua5.1-0-dev, libtolua-dev,
  libiulib-dev, tesseract-ocr-dev (>= 2.03-2), libpng12-dev, libjpeg-dev, libtiff4-dev, libedit-dev,
  tesseract-ocr-eng, python
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ocropus/
Vcs-Hg: http://hg.debian.org/hg/collab-maint/ocropus
Vcs-Browser: http://hg.debian.org/hg/collab-maint/ocropus

Package: ocropus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocropus-data (= ${source:Version})
Recommends: tesseract-ocr (>= 2.03-2)
Breaks: ocrodjvu (<< 0.3)
Description: document analysis and OCR system
 OCRopus(tm) is a state-of-the-art document analysis and Optical
 Character Recognition (OCR) system, featuring
 pluggable layout analysis, pluggable character recognition, statistical
 natural language modeling, and multi-lingual capabilities.
 .
 The OCRopus engine is based on two research projects: a high-performance
 handwriting recognizer developed in the mid-90's and deployed by the US Census
 bureau, and novel high-performance layout analysis methods.
 .
 OCRopus development is sponsored by Google and is initially intended for
 high-throughput, high-volume document conversion efforts. It
 will also be an excellent OCR system for many other applications.

Package: ocropus-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: document analysis and OCR system --- data files
 OCRopus(tm) is a state-of-the-art document analysis and Optical
 Character Recognition (OCR) system, featuring
 pluggable layout analysis, pluggable character recognition, statistical
 natural language modeling, and multi-lingual capabilities.
 .
 The OCRopus engine is based on two research projects: a high-performance
 handwriting recognizer developed in the mid-90's and deployed by the US Census
 bureau, and novel high-performance layout analysis methods.
 .
 OCRopus development is sponsored by Google and is initially intended for
 high-throughput, high-volume document conversion efforts. It
 will also be an excellent OCR system for many other applications.
 .
 The ocropus-data package contains the architecture-independent data required
 by ocropus.

=== debian/rules ===
#!/usr/bin/make -f

PKG_FILES = $(wildcard ocroscript/*.pkg)
AUTOGENERATED_FILES = $(PKG_FILES:.pkg=.cc)

export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDLAGS = $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf -ivf
	./configure --prefix=/usr --with-iulib=/usr --without-fst --without-leptonica --with-tesseract=/usr

override_dh_auto_clean:
	AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf -ivf
	printf '#!/bin/sh\n' > config.status # we don't want configure to be run now
	dh_auto_clean
	rm -f $(AUTOGENERATED_FILES)

=== debian/watch ===
version=3
http://code.google.com/p/ocropus/downloads/list http://ocropus.googlecode.com/files/ocropus-(.*)\.tar\.gz
